Subject: Mail [email-masked]

From: Andrew Dalke <[email-masked]>
Date: Mon, 14 Jul 1997 17:05:27 -0500

Subject: Re: CCL & OOP

I was asked for a reference to my statement that:
> I've seen
> array computation benchmarks which even put one C++ compiler faster
> than the equivalent Fortran code.

The one I saw was from Computers in Physics, v10, pp358-462       
(1996) for Photon C++ from KAI.  I tracked down that company's
on-line version at http://www.kai.com/publications/comp_phys/ .
            
I see that my statement above is wrong.  The paper goes through
the bechmarks done on different platforms with KAI's C++ vs.
the vendor supplied Fortran.  When I saw the plots I didn't
notice the -1 in the comparison function, ( time(C++)/time(f77) - 1 ).
Thus, code in C++ for their compiler takes about 150% times the
Fortran code (so 50% slower).

That is still quite impressive, but not as much as I thought.

						Andrew
						[email-masked]

---

From: <[email-masked]>
Date: Mon, 14 Jul 1997 16:21:23 -0700 (PDT)

> > than the equivalent Fortran code.

Another reference would be http://monet.uwaterloo.ca/blitz/, the home page
for the Blitz++ numerical library.  While the Blitz++ project looks to be
in development currently, the initial results posted on this web page show
clear speed improvements over Fortran 77 for a variety of scientific
computing problems.  The KAI C++ compiler is being used in this case as
well.

Jon Sorenson

-----------------------------------------------------------------------
Jon Sorenson				[email-masked]
Ph.D. Student				http://global.lbl.gov/~jsorenso
Dept. of Chemistry			(510) 486-6933
U.C. Berkeley
Berkeley, CA  94720
-----------------------------------------------------------------------